Accounts

List accounts

GEThttps://api.firstleeward.com/v0/accounts

Retrieves a paginated list of accounts. Use GET /accounts/:id/balance to retrieve balance details for a specific account.

Authorizations

Authorizationstring · headerrequired

API key as Bearer token, e.g. Bearer YOUR_API_KEY

Headers

Leeward-Versionenum<string>required

API version (YYYY-MM-DD). Available option: 2026-09-18

Query Parameters

limitintegerdefault: 20

Maximum number of items to return (1-100, default: 20)

cursorstring

Opaque cursor for pagination. Pass nextCursor from previous response to get next page.

idstring<uuid>

Filter accounts by exact ID match

statusstring[]

Filter accounts by status (comma-separated)

Available options:ACTIVERESTRICTED
ownerTypestring[]

Filter accounts by owner type (comma-separated). When omitted, only user- and company-owned accounts are returned. Pass PROJECT explicitly to retrieve the project master account; this is only valid for program-funded projects.

Available options:USERCOMPANYPROJECT
ownerIdstring<uuid>[]

Filter accounts by owner ID (comma-separated). Matches either the user or company owner of the account.

Response

200Response for status 200
itemsobject[]required
Show child attributes
idstring<uuid>required

Unique account identifier

statusstringrequired

Current account status

Available options:ACTIVERESTRICTED
ownerTypestringrequired

Type of entity that owns this account

Available options:USERCOMPANYPROJECT
ownerIdstring<uuid> | nullrequired

Owner entity ID (user or company). Null for PROJECT-owned master accounts.

chainAddressesobject[]required

Deposit addresses by chain. Empty for accounts without provisioned wallets (user accounts on PROGRAM_FUNDED projects).

Show child attributes
chainIdstringrequired

Blockchain network identifier

Available options:ETHEREUM_MAINNETETHEREUM_SEPOLIABASE_MAINNETBASE_SEPOLIAARBITRUM_ONE_MAINNETARBITRUM_ONE_SEPOLIAPOLYGON_MAINNETPOLYGON_AMOYSOLANA_MAINNETSOLANA_DEVNET
addressstringrequired

Deposit address on this chain

createdAtstringrequired

ISO 8601 timestamp of creation

updatedAtstringrequired

ISO 8601 timestamp of last update

nextCursorstring | nullrequired

Cursor for next page, or null if no more items

400The PROJECT owner-type filter is only valid for program-funded projects
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired